﻿using Microsoft.AspNetCore.DataProtection.KeyManagement;
using System;

namespace WF_WebAdmin.Converter
{
    public class QuoteDTO
    {
        public int Id { get; set; }
        public string Content { get; set; }
        public int Likes { get; set; }
        public string Langue { get; set; }
        public bool IsValide { get; set; }
        public string? Reason { get; set; }
        public int IdCaracter { get; set; }
        public int IdSource { get; set; }
        public int? IdUserVerif { get; set; }

        public QuoteDTO(int id_quote, string content, int likes, string langue, bool isValide, string? reason, int id_caracter, int id_source, int? id_user_verif)
        {
            this.Id = id_quote;
        }

        public int getId_quote()
        {
            return id_quote;
        }
        public string getContent() {
            return content;
        }
        public int getLikes()
        {
            return likes;
        }
        public string getLangue()
        {
            return langue;
        }
        public bool getIsValide()
        {
            return isValide;
        }
        public string? getReason()
        {
            return reason;
        }
        public int getIdCaracter()
        {
            return id_caracter;
        }
        public int getIdSource()
        {
            return id_source;
        }
        public int? getIdUserVerif()
        {
            return id_user_verif;
        }
    }
}
